XBPS-FETCH(1)

NAME
xbps-fetch - XBPS utility to fetch files from URLs

SYNOPSIS
xbps-fetch [OPTIONS] <URL> <URL+N>

DESCRIPTION
The xbps-fetch utility downloads files from specified URLs. Multiple protocols are supported: ftp, http, https, socks5.

OPTIONS

-d  Enables debug messages on stderr.

-h  Show the help message.

-o output
    Rename file from specified URL to output.

-v  Enables verbose messages.

-s  Print sha256sums of downloaded files.

-V  Show the version information.

ENVIRONMENT

FORCE_IPV4
    Only use IPv4.

FORCE_IPV6
    Only use IPv6.

FTP_PASSIVE_MODE
    If set to anything else than no passive mode will be set for the ftp connection.

FTP_LOGIN
    User name to be set for ftp authentication.

FTP_PASSWORD
    Password to be set for ftp authentication.

FTP_PROXY
    Proxy URL that will be used to establish a ftp connection.

HTTP_PROXY
    Proxy URL that will be used to establish a http connection.

HTTP_PROXY_AUTH
    Sets the credentials to authenticate a user agent to a proxy server, in the form user:pass.

HTTP_AUTH
    Sets the credentials to authenticate to a http server, in the form user:pass.

HTTP_REFERER
    Overrides the default Referer http header.

HTTP_USER_AGENT
    Override the default User-Agent http header.

NO_PROXY
    Specifies a set of domains for which the proxy should not be consulted. The contents is a comma-, or space-separated list of domain names. A single asterisk will override all proxy variables and no transactions will be proxied.

SOCKS_PROXY
    Proxy URL that will be used to establish a socks connection.

SSL_NO_VERIFY_HOSTNAME
    Disables SSL/TLS hostname verification.

SSL_NO_VERIFY_PEER
    Disables SSL/TLS peer verification.

SSL_CA_CERT_FILE
    Overrides the default CA certificates file, by default set to /etc/ssl/certs/ca-certificates.crt.

SSL_CA_CERT_PATH
    Overrides the default CA certificates path, by default set to /etc/ssl/certs.

SSL_CLIENT_CERT_FILE
    Sets the SSL/TLS client verification certificate file.

SSL_CLIENT_KEY_FILE
    Sets the SSL/TLS client verification key file.

CONNECTION_TIMEOUT
    Sets connection timeout in milliseconds instead of default value of 5 minutes. When -1, waits indefinitely.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-digest(1), xbps-fbulk(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues